BPETokenizer.SymbolPair (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.tokenize, class: BPETokenizer, record: SymbolPair

Package opennlp.tools.tokenize

# Record Class BPETokenizer.SymbolPair

java.lang.Object
java.lang.Record
opennlp.tools.tokenize.BPETokenizer.SymbolPair

Record Components:
  `left` - The left symbol.
  `right` - The right symbol.

Enclosing class:
  `BPETokenizer`

public static record BPETokenizer.SymbolPair(String left, String right) extends Record
Represents a pair of adjacent symbols in BPE.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SymbolPair(String left, String right)`
  Creates a new `BPETokenizer.SymbolPair`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `left()`
  Returns the value of the `left` record component.
  `String`
  `right()`
  Returns the value of the `right` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SymbolPair

    public SymbolPair(String left, String right)
    Creates a new `BPETokenizer.SymbolPair`.
    Parameters:
      `left` - The left symbol. Must not be `null`.
      `right` - The right symbol. Must not be `null`.
    Throws:
      `IllegalArgumentException` - if `left` or `right` is `null`.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### left

    public String left()
    Returns the value of the `left` record component.
    Returns:
      the value of the `left` record component

  - ### right

    public String right()
    Returns the value of the `right` record component.
    Returns:
      the value of the `right` record component